> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snackbase.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Metadata

> Download SAML Service Provider Metadata XML.

Used to configure the Identity Provider to recognize this SP.
Returns:
    XML content with Content-Disposition attachment.



## OpenAPI

````yaml get /api/v1/auth/saml/metadata
openapi: 3.1.0
info:
  title: SnackBase
  description: Open-source Backend-as-a-Service (BaaS)
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/auth/saml/metadata:
    get:
      tags:
        - auth
      summary: Metadata
      description: |-
        Download SAML Service Provider Metadata XML.

        Used to configure the Identity Provider to recognize this SP.
        Returns:
            XML content with Content-Disposition attachment.
      operationId: metadata_api_v1_auth_saml_metadata_get
      parameters:
        - name: account
          in: query
          required: true
          schema:
            type: string
            description: Account slug or ID
            title: Account
          description: Account slug or ID
        - name: provider
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Specific provider name to force use of
            title: Provider
          description: Specific provider name to force use of
      responses:
        '200':
          description: SAML Metadata XML
          content:
            application/json:
              schema: {}
            application/xml: {}
        '404':
          description: Account or provider not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````